summarylogtreecommitdiffstats
path: root/beehive.install
diff options
context:
space:
mode:
authorChristian Muehlhaeuser2019-05-31 23:06:49 +0200
committerChristian Muehlhaeuser2019-05-31 23:07:32 +0200
commit2b9af226cbc9d688767080ebdeadf280b3d1d01f (patch)
tree927a8522acb3bdc02d45c97a69059a0873b80d6b /beehive.install
downloadaur-beehive-git.tar.gz
Initial commit for package beehive-git
Diffstat (limited to 'beehive.install')
-rw-r--r--beehive.install18
1 files changed, 18 insertions, 0 deletions
diff --git a/beehive.install b/beehive.install
new file mode 100644
index 000000000000..d237db9e81f6
--- /dev/null
+++ b/beehive.install
@@ -0,0 +1,18 @@
+post_install() {
+ if ! getent passwd beehive > /dev/null; then
+ useradd -r beehive
+ fi
+ mkdir -p /etc/beehive
+ chown -R beehive: /etc/beehive
+ echo "To run a reverse proxy setup, please modify the systemd unit and add the following arguments to the ExecStart line:"
+ echo " -bind \":8181\" -canonicalurl \"http://beehive.myhost.com\""
+}
+
+pre_upgrade() {
+ systemctl stop beehive.service
+}
+
+post_upgrade() {
+ systemctl start beehive.service
+}
+